# Property Inference Dataset Builder

The software is used to recreate the property datasets used in Alex Rosenfeld and Katrin Erk, "An Analysis of Property Inference Methods", JNLE 2021. Out of respect for the source material authors, we only provide the code to convert their data into the form we use and not the source data itself.

## Installation

We used a conda python 3.8 distribution with the following packages installed:

1. pandas
2. xlrd
3. openpyxl
4. pyyaml
5. nltk

Our conda environment file (environment.yml) is provided to assist installation.

## McRae Dataset Building Instructions

1. Place CONCS_FEATS_concstats_brm.xlsx in McRae/data
2. Run python build_McRae_dataset.py

File can be found [here](https://drive.google.com/open?id=0B2ga8vUirua7UlJ0VEJzaUJnVmc). Alternatively, the file can be found through [this website](https://sites.google.com/site/kenmcraelab/norms-data) with the link labeled "The concepts with the features and numerous measures on both the concepts themselves, the features themselves, and concept-feature relations."

**Source Citation:**
```
McRae, K., Cree, G. S., Seidenberg, M. S., and McNorgan, C. (2005). Semantic feature production norms for a large set of living and nonliving things. Behavior Research Methods, 37(4):547–559.
```

## VV Dataset Building Instructions

1. Place Vinson-BRM-2008a.zip in VV/data
2. Run python build_VV_dataset.py

File can be found [here](https://static-content.springer.com/esm/art%3A10.3758%2FBRM.40.1.183/MediaObjects/Vinson-BRM-2008a.zip). Alternatively, file can be found in the [supplementary material section](https://link.springer.com/article/10.3758/BRM.40.1.183#SecESM1)

**Source Citation:**
```
Vinson, D. P. and Vigliocco, G. (2008). Semantic feature production norms for a large set of objects and events. Behavior Research Methods, 40(1):183–190.
```

## GenInqMS Dataset Building Instructions

1. Place inquirerbasic.xls in GI/data
2. Run python build_GI_dataset.py

File can be found [here](http://www.wjh.harvard.edu/~inquirer/inquirerbasic.xls). Alternatively, the file can be found through [this website](http://www.wjh.harvard.edu/~inquirer/spreadsheet_guide.htm) with the link labeled "General Inquirer Basic Spreadsheet".

**Source Citation:**
```
Stone, P. (1997). Thematic text analysis: new agendas for analyzing text content. In Roberts, C., editor, Text Analysis for the Social Sciences. Lawerence Erlbaum Associates, Mahwah, NJ.
```

## WN-Hyp Dataset Building Instructions

1. Run python build_WN_dataset.py

WordNet data is downloaded through NLTK. The version is 3.0.

**Source Citation:**
```
Fellbaum, C., editor (1998). WordNet: An Electronic Lexical Database. Language, Speech, and Communication. MIT Press, Cambridge, MA.
```